<template>
  <div class="caution">
    <p :class="info.isClass">{{info.text}}</p>
  </div>
</template>

<script>
  import {mapGetters} from "vuex";
  import STEPS from '@/constants/steps.js';

  export default {
    name: "StatusLoser",
    data() {
      return {
        STEP: STEPS
      }
    },
    computed: {
      ...mapGetters({
        order: 'account/order'
      }),
      info() {
        if (this.order.orderStatus === this.STEP.FAILED || this.order.orderStatus === 'CANCELED') {
          return {
            isClass: 'caution',
            text: 'Время ожидания истекло. Заказ ушел другому перевозчику'
          };
        } else {
          return {
            isClass: 'common',
            text: 'Вы отказались от букинг-запроса'
          };
        }
      }
    }
  }
</script>
